testing/config/marionette_source_requirements.txt
author Mike Hommey <mh+mozilla@glandium.org>
Fri, 16 Nov 2018 01:15:58 +0000
changeset 446944 fd205107b0f4beac469995f809b7c77d6bddde0a
parent 439952 b2a9499e2c3e3673ea1fae85d5e7f19481f11ca4
child 462864 975644295f21a5bd55d551abd09109a2b7d771eb
permissions -rw-r--r--
Bug 1502457 - Move js_option around to make it available earlier. r=nalexander Depends on D11984 Differential Revision: https://phabricator.services.mozilla.com/D11985

# These dependencies are required for running marionette based tests from a source checkout

-r mozbase_source_requirements.txt

../web-platform/tests/tools/wptserve
../web-platform/tests/tools/third_party/certifi
../web-platform/tests/tools/third_party/enum
../web-platform/tests/tools/third_party/h2
../web-platform/tests/tools/third_party/hyperframe
../web-platform/tests/tools/third_party/hpack

../marionette/client
../marionette/harness
../marionette/harness/marionette_harness/runner/mixins/browsermob-proxy-py

# Allows to use the Puppeteer page object model for Firefox
../marionette/puppeteer/firefox/